# this script MUST be applied to SFML Frameworks and extlibs that are
# copied into this location (adagate.app/Contents/Frameworks/*)
# from the sfml-osx-clang download BEFORE attempting to compile
# [without Xcode], so that the resulting AdaGate executable
# will be able to find these various frameworks.

# we must change the embedded location of each framework
# to match its new location:

install_name_tool -id \
@executable_path/../Frameworks/FLAC.framework/Versions/A/FLAC \
FLAC.framework/Versions/A/FLAC


install_name_tool -id \
@executable_path/../Frameworks/sfml-audio.framework/Versions/2.3.2/sfml-audio \
sfml-audio.framework/Versions/2.3.2/sfml-audio

install_name_tool -id \
@executable_path/../Frameworks/sfml-system.framework/Versions/2.3.2/sfml-system \
sfml-system.framework/Versions/2.3.2/sfml-system

install_name_tool -id \
@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
ogg.framework/Versions/A/ogg

install_name_tool -id \
@executable_path/../Frameworks/vorbis.framework/Versions/A/vorbis \
vorbis.framework/Versions/A/vorbis

install_name_tool -id \
@executable_path/../Frameworks/vorbisenc.framework/Versions/A/vorbisenc \
vorbisenc.framework/Versions/A/vorbisenc

install_name_tool -id \
@executable_path/../Frameworks/vorbisfile.framework/Versions/A/vorbisfile \
vorbisfile.framework/Versions/A/vorbisfile



# then do this because 
# sfml-audio is misinformed about the whereabouts of sfml-system:
#  oldRefName        newRefName         file
install_name_tool -change \
@rpath/sfml-system.framework/Versions/2.3.2/sfml-system \
@executable_path/../Frameworks/sfml-system.framework/Versions/2.3.2/sfml-system   \
sfml-audio.framework/Versions/2.3.2/sfml-audio

# then do this because 
# sfml-audio is misinformed about the whereabouts of ogg, vorbis, etc:
#  oldRefName        newRefName                  file

install_name_tool -change \
	@rpath/../Frameworks/vorbisenc.framework/Versions/A/vorbisenc \
	@executable_path/../Frameworks/vorbisenc.framework/Versions/A/vorbisenc \
	sfml-audio.framework/Versions/2.3.2/sfml-audio

install_name_tool -change \
	@rpath/../Frameworks/vorbisfile.framework/Versions/A/vorbisfile \
	@executable_path/../Frameworks/vorbisfile.framework/Versions/A/vorbisfile \
	sfml-audio.framework/Versions/2.3.2/sfml-audio

install_name_tool -change \
	@rpath/../Frameworks/vorbis.framework/Versions/A/vorbis \
	@executable_path/../Frameworks/vorbis.framework/Versions/A/vorbis \
	sfml-audio.framework/Versions/2.3.2/sfml-audio

install_name_tool -change \
	@rpath/../Frameworks/ogg.framework/Versions/A/ogg \
	@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
	sfml-audio.framework/Versions/2.3.2/sfml-audio


# then do this because 
# sfml-audio is misinformed about the whereabouts of FLAC:
#  oldRefName        newRefName                  file

install_name_tool -change \
	@rpath/../Frameworks/FLAC.framework/Versions/A/FLAC \
	@executable_path/../Frameworks/FLAC.framework/Versions/A/FLAC \
	sfml-audio.framework/Versions/2.3.2/sfml-audio


# then do this because 
# vorbisenc, vorbisfile are misinformed about the whereabouts of vorbis:
#  oldRefName        newRefName                  file

install_name_tool -change \
	@rpath/../Frameworks/vorbis.framework/Versions/A/vorbis \
	@executable_path/../Frameworks/vorbis.framework/Versions/A/vorbis \
	vorbisenc.framework/Versions/A/vorbisenc

install_name_tool -change \
	@rpath/../Frameworks/vorbis.framework/Versions/A/vorbis \
	@executable_path/../Frameworks/vorbis.framework/Versions/A/vorbis \
	vorbisfile.framework/Versions/A/vorbisfile


# then do this because 
# vorbis* is misinformed about the whereabouts of ogg:
#  oldRefName        newRefName                  file

install_name_tool -change \
	@rpath/../Frameworks/ogg.framework/Versions/A/ogg \
	@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
	vorbisenc.framework/Versions/A/vorbisenc

install_name_tool -change \
	@rpath/../Frameworks/ogg.framework/Versions/A/ogg \
	@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
	vorbisfile.framework/Versions/A/vorbisfile

install_name_tool -change \
	@rpath/../Frameworks/ogg.framework/Versions/A/ogg \
	@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
	vorbis.framework/Versions/A/vorbis


# then do this because 
# FLAC is misinformed about the whereabouts of ogg:
#  oldRefName        newRefName                  file

install_name_tool -change \
	@rpath/../Frameworks/ogg.framework/Versions/A/ogg \
	@executable_path/../Frameworks/ogg.framework/Versions/A/ogg \
	FLAC.framework/Versions/A/FLAC


